[SOLVED] Palemoon installation from repository impossible

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
sichenia
Level 1
Level 1
Posts: 28
Joined: Tue Nov 15, 2016 4:25 pm

[SOLVED] Palemoon installation from repository impossible

Post by sichenia » Sat Feb 03, 2018 1:34 pm

Hi everyone. I've been trying to install Palemoon for a while from the update manager, but to no avail. I have Mint 17.3

I added the repo:
deb http://download.opensuse.org/repositori ... ntu_17.04/ /
as suggested on the PM website.
I do see Palemoon among the available packages and select it to install, but when I apply the changes I get the warning of unresolved dependencies.
In particular, there are:

"libdus-1-3 v.(>=1.9.4) but will be installed v.1.6.18-0ubuntu4.3
libfontconfig1 v.(>=2.11.94) but will be installed v.2.11.0-0ubuntu4.2
libstdc++6 v.(>=4.9) but will be installed v.4.8.4-2ubuntu1 14.04.3
ffmpeg but is not installable or libav-tools but won't be installed"

And after the warning the installation aborts.
Now, I can't find ffmpeg among the packages available in the repos. But I do have libav-tools 6:9.20-0ubuntu0.14 installed! How come does the package not see it?
What should I do?

I have downloaded the palemoon installer too, as another option to use, but I'd rather use the software manager... I'm afraid that installing sw without the manager could create a mess. And anyway if the software manager finds unresolved dependencies, could the installer-standalone ever work?

Is there any way to 'order' the software manager to run the installer?
Last edited by sichenia on Sat Feb 03, 2018 2:44 pm, edited 1 time in total.

User avatar
MrEen
Level 15
Level 15
Posts: 5860
Joined: Mon Jun 12, 2017 8:39 pm

Re: Palemoon installation from repository impossible

Post by MrEen » Sat Feb 03, 2018 1:46 pm

For 17.3 you should have used the xUbuntu_14.04 link (not 17.04.)

sichenia
Level 1
Level 1
Posts: 28
Joined: Tue Nov 15, 2016 4:25 pm

Re: Palemoon installation from repository impossible

Post by sichenia » Sat Feb 03, 2018 1:58 pm

I don't see any.
The links are here http://linux.palemoon.org/ and don't differentiate between ubuntu and xubuntu... do you know the correct repo address I should use?

User avatar
MrEen
Level 15
Level 15
Posts: 5860
Joined: Mon Jun 12, 2017 8:39 pm

Re: Palemoon installation from repository impossible

Post by MrEen » Sat Feb 03, 2018 2:07 pm

Near the bottom of the page for Debian/Ubuntu:
For xUbuntu 14.04 run the following:

sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_14.04/ /' > /etc/apt/sources.list.d/palemoon.list"
sudo apt-get update
sudo apt-get install palemoon

You can add the repository key to apt. Keep in mind that the owner of the key may distribute updates, packages and repositories that your system will trust (more information). To add the key, run:

wget -nv https://download.opensuse.org/repositories/home:stevenpusser/xUbuntu_14.04/Release.key -O Release.key
sudo apt-key add - < Release.key
sudo apt-get update

sichenia
Level 1
Level 1
Posts: 28
Joined: Tue Nov 15, 2016 4:25 pm

Re: Palemoon installation from repository impossible

Post by sichenia » Sat Feb 03, 2018 2:16 pm

Thanks for the tip! I had completely missed that.
I added it, but I still get the unresolved dependencies error message (save from the ffmpeg one, that has gone away)

User avatar
MrEen
Level 15
Level 15
Posts: 5860
Joined: Mon Jun 12, 2017 8:39 pm

Re: Palemoon installation from repository impossible

Post by MrEen » Sat Feb 03, 2018 2:20 pm

I had hoped that would've resolved the dependancy issue. We'll have to wait for someone else to help with that.

Just to check, please post the output of inxi -r

minitux
Level 5
Level 5
Posts: 860
Joined: Tue Sep 12, 2017 10:05 am

Re: Palemoon installation from repository impossible

Post by minitux » Sat Feb 03, 2018 2:23 pm

ffmpeg is not in the repository of Ubuntu14.04 trusty.

you need a ppa
https://www.systutorials.com/qa/1036/ho ... t-17-qiana

sichenia
Level 1
Level 1
Posts: 28
Joined: Tue Nov 15, 2016 4:25 pm

Re: Palemoon installation from repository impossible

Post by sichenia » Sat Feb 03, 2018 2:26 pm

Code: Select all

Repos:     Active apt sources in file: /etc/apt/sources.list.d/acestream.list
           deb http://repo.acestream.org/ubuntu/ trusty main
           Active apt sources in file: /etc/apt/sources.list.d/additional-repositories.list
           deb http://archive.canonical.com/ precise partner
           deb http://packages.linuxmint.com/ rosa main
           deb http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_16.04/ /
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://ftp-stud.hs-esslingen.de/pub/Mirrors/packages.linuxmint.com rosa main upstream import
           deb http://extra.linuxmint.com rosa main
           deb http://ubuntu.mirror.garr.it/mirrors/ubuntu-archive trusty main restricted universe multiverse
           deb http://ubuntu.mirror.garr.it/mirrors/ubuntu-archive trusty-updates main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ trusty partner

User avatar
MrEen
Level 15
Level 15
Posts: 5860
Joined: Mon Jun 12, 2017 8:39 pm

Re: Palemoon installation from repository impossible

Post by MrEen » Sat Feb 03, 2018 2:30 pm

sichenia wrote:Repos: Active apt sources in file: /etc/apt/sources.list.d/acestream.list
deb http://repo.acestream.org/ubuntu/ trusty main
Active apt sources in file: /etc/apt/sources.list.d/additional-repositories.list
deb http://archive.canonical.com/ precise partner
deb http://packages.linuxmint.com/ rosa main
deb http://download.opensuse.org/repositori ... ntu_16.04/ /
Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
deb http://ftp-stud.hs-esslingen.de/pub/Mir ... uxmint.com rosa main upstream import
deb http://extra.linuxmint.com rosa main
deb http://ubuntu.mirror.garr.it/mirrors/ubuntu-archive trusty main restricted universe multiverse
deb http://ubuntu.mirror.garr.it/mirrors/ubuntu-archive trusty-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ trusty partner
Not quite :D
We need 14.04

minitux
Level 5
Level 5
Posts: 860
Joined: Tue Sep 12, 2017 10:05 am

Re: Palemoon installation from repository impossible

Post by minitux » Sat Feb 03, 2018 2:35 pm

Code: Select all

gksudo gedit /etc/apt/sources.list.d/additional-repositories.list
and delete all lines in the file, then save and closed the file and run an update

Code: Select all

sudo apt-get update
and post the output

sichenia
Level 1
Level 1
Posts: 28
Joined: Tue Nov 15, 2016 4:25 pm

Re: Palemoon installation from repository impossible

Post by sichenia » Sat Feb 03, 2018 2:41 pm

Not quite :D
We need 14.04
Oopppsss... let's see...

WORKED!!!! YEAH!! Thanks a bunch!

User avatar
MrEen
Level 15
Level 15
Posts: 5860
Joined: Mon Jun 12, 2017 8:39 pm

Re: [SOLVED] Palemoon installation from repository impossible

Post by MrEen » Sat Feb 03, 2018 2:44 pm

You're welcome. :)

Post Reply

Return to “Software & Applications”